"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeSearchImagesNock = exports.makeSearchErrorNock = exports.makeSearchNock = exports.makeAutocompleteNock = exports.makeVQDNock = void 0;
const nock_1 = __importDefault(require("nock"));
const constants_1 = require("./constants");
const makeVQDNock = (query, noVqd = false) => (0, nock_1.default)(constants_1.DDG_HOST)
    .get('/')
    .query({ q: query, ia: 'web' })
    .replyWithFile(200, `test/__util__/pages/${noVqd ? 'no-' : ''}vqd.html`);
exports.makeVQDNock = makeVQDNock;
const makeAutocompleteNock = (query, file = 'search/autocomplete.json') => (0, nock_1.default)(constants_1.DDG_HOST).get('/ac/').query({ q: query, kl: 'wt-wt' }).replyWithFile(200, `test/__util__/data/search/${file}`);
exports.makeAutocompleteNock = makeAutocompleteNock;
const makeSearchNock = (query, file = 'search/default.js') => (0, nock_1.default)(constants_1.DDG_LINKS_HOST).get('/d.js').query(query).replyWithFile(200, `test/__util__/data/search/${file}`);
exports.makeSearchNock = makeSearchNock;
const makeSearchErrorNock = (path, query) => (0, nock_1.default)(constants_1.DDG_HOST).get(path).query(query).reply(403, 'If this error persists, please let us know: ops@duckduckgo.com');
exports.makeSearchErrorNock = makeSearchErrorNock;
const makeSearchImagesNock = (query, file = 'images/default.json') => (0, nock_1.default)(constants_1.DDG_HOST).get('/i.js').query(query).replyWithFile(200, `test/__util__/data/search/${file}`);
exports.makeSearchImagesNock = makeSearchImagesNock;
